%define pypi_name cython

Summary:	Language for writing C extensions to Python
Name:		python-%{pypi_name}
Version:	3.0.11
Release:	%mkrel 1
License:	Apache License
Group:		Development/Python
Url:		http://www.cython.org
Source0:	%{pypi_source}
BuildRequires:	python3-devel
BuildRequires:	dos2unix
BuildRequires:	emacs

%description
Cython is a language that facilitates the writing of C extensions for
the Python language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%package -n	python3-%{pypi_name}
Summary:	Language for writing Python 3 extension modules
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	python3-Cython = %{version}-%{release}
Provides:	cython = %{version}-%{release}

%description -n	python3-%{pypi_name}
Cython is a language that facilitates the writing of C extensions for
the Python 3 language. It is based on Pyrex, but provides more cutting
edge functionality and optimizations.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# leftovers
find . -name .*DS_Store* -delete

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Cython cython pyximport

rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

# symlinks
ln -s cython %{buildroot}%{_bindir}/cython-3
ln -s cythonize %{buildroot}%{_bindir}/cythonize-3
ln -s cygdb %{buildroot}%{_bindir}/cygdb-3

pushd Tools
install -m 755 -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc Demos docs Tools
%{_bindir}/cython{,-3}
%{_bindir}/cythonize{,-3}
%{_bindir}/cygdb{,-3}


%changelog
* Wed Aug 07 2024 daviddavid <daviddavid> 3.0.11-1.mga10
+ Revision: 2083972
- new version: 3.0.11

* Tue Jun 18 2024 daviddavid <daviddavid> 3.0.10-1.mga10
+ Revision: 2074737
- new version: 3.0.10

* Sat Mar 23 2024 wally <wally> 3.0.9-1.mga10
+ Revision: 2051638
- new version 3.0.9

* Tue Feb 20 2024 papoteur <papoteur> 3.0.8-1.mga10
+ Revision: 2042663
- new version 3.0.8

* Thu Dec 07 2023 wally <wally> 3.0.5-2.mga10
+ Revision: 2014768
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Nov 01 2023 daviddavid <daviddavid> 3.0.5-1.mga10
+ Revision: 2003199
- new version: 3.0.5

* Fri Sep 08 2023 papoteur <papoteur> 3.0.2-1.mga10
+ Revision: 1985169
- new 3.0.2

* Sat Jan 14 2023 wally <wally> 0.29.33-1.mga9
+ Revision: 1932957
- new version 0.29.33

* Fri Aug 19 2022 papoteur <papoteur> 0.29.32-1.mga9
+ Revision: 1878767
- new 0.29.32

* Mon Apr 11 2022 wally <wally> 0.29.28-1.mga9
+ Revision: 1848890
- new version 0.29.28

* Sun Mar 27 2022 umeabot <umeabot> 0.29.24-3.mga9
+ Revision: 1829194
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 wally <wally> 0.29.24-2.mga9
+ Revision: 1771774
- rebuild for python3.10

* Thu Oct 21 2021 joequant <joequant> 0.29.24-1.mga9
+ Revision: 1752402
- update to 0.29.24

* Sun Mar 14 2021 wally <wally> 0.29.22-1.mga9
+ Revision: 1702573
- new version 0.29.22
- rebuild for python 3.9

* Fri Sep 25 2020 luigiwalser <luigiwalser> 0.29.21-1.mga8
+ Revision: 1630141
- 0.29.21
- add backported classmethod fixes from fedora (rhbz#1788506)

* Sun May 10 2020 wally <wally> 0.29.17-1.mga8
+ Revision: 1582571
- new version 0.29.17
- provide cython

* Wed Feb 19 2020 umeabot <umeabot> 0.29.14-2.mga8
+ Revision: 1542862
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 0.29.14-1.mga8
+ Revision: 1477169
- new version: 0.29.14

* Wed Sep 04 2019 wally <wally> 0.29.13-3.mga8
+ Revision: 1437145
- rebuild with new python-rpm-macros
- use python_provide

* Wed Sep 04 2019 wally <wally> 0.29.13-2.mga8
+ Revision: 1436955
- rebuild for arm

* Tue Sep 03 2019 wally <wally> 0.29.13-1.mga8
+ Revision: 1436776
- new version 0.29.13
- drop python2 support
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 0.29.2-3.mga7
+ Revision: 1351745
- requires python2-pkg-resources (thus fixing building brltty)

* Sat Jan 05 2019 wally <wally> 0.29.2-2.mga7
+ Revision: 1349264
- rebuild for python3.7

* Fri Dec 28 2018 luigiwalser <luigiwalser> 0.29.2-1.mga7
+ Revision: 1345709
- 0.29.2

* Mon Sep 24 2018 wally <wally> 0.28.1-3.mga7
+ Revision: 1303533
- add provides for python(2,3)-Cython
- drop old obsoletes
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 0.28.1-1.mga7
+ Revision: 1210557
- Update to version 0.28.1

* Fri Feb 09 2018 kekepower <kekepower> 0.27.3-1.mga7
+ Revision: 1199806
- Update to version 0.27.3

* Tue Oct 10 2017 joequant <joequant> 0.27.1-1.mga7
+ Revision: 1170638
- upgrade to 0.27.1

* Fri Sep 15 2017 guillomovitch <guillomovitch> 0.26.1-1.mga7
+ Revision: 1153903
- new version 0.26.1

* Sat Aug 05 2017 philippem <philippem> 0.26-1.mga7
+ Revision: 1135727
- update to 0.26

* Thu Aug 03 2017 tv <tv> 0.22.1-4.mga7
+ Revision: 1134479
- rebuild for new python

* Tue Feb 16 2016 umeabot <umeabot> 0.22.1-3.mga6
+ Revision: 962201
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.22.1-2.mga6
+ Revision: 887254
- rebuild for python 3.5
- use new python macros

* Fri Jun 26 2015 joequant <joequant> 0.22.1-1.mga6
+ Revision: 844424
- 0.22.1
- upgrade to 0.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.1-5.mga5
+ Revision: 743138
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.20.1-4.mga5
+ Revision: 728216
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.20.1-3.mga5
+ Revision: 687955
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.20.1-2.mga5
+ Revision: 628539
- Rebuild for new Python

* Tue Mar 04 2014 philippem <philippem> 0.20.1-1.mga5
+ Revision: 599559
- update to 0.20.1

* Tue Oct 22 2013 umeabot <umeabot> 0.19.1-4.mga4
+ Revision: 543236
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.19.1-3.mga4
+ Revision: 498343
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 0.19.1-2.mga4
+ Revision: 492633
+ rebuild (emptylog)

* Fri Jul 05 2013 philippem <philippem> 0.19.1-1.mga4
+ Revision: 450357
- Update to 0.19.1, add Python 3

* Sun Feb 03 2013 neoclust <neoclust> 0.18-1.mga3
+ Revision: 394230
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.15.1-2.mga3
+ Revision: 378630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 20 2011 lebedov <lebedov> 0.15.1-1.mga2
+ Revision: 146037
- Update to 0.15.1.

* Sat Apr 16 2011 ahmad <ahmad> 0.14.1-1.mga1
+ Revision: 86843
- update to 0.14.1
- drop patch0, fixed upstream

* Mon Feb 21 2011 ahmad <ahmad> 0.14-4.mga1
+ Revision: 55585
- rebuild to make all pythonegg requires/provides lowercase

* Mon Jan 17 2011 pterjan <pterjan> 0.14-3.mga1
+ Revision: 21292
- Rebuild for python 2.7
+ ahmad <ahmad>
- add upstream patch to fix a compiler crash
- imported package python-cython


* Tue Dec 14 2010 Lev Givon <lev@mandriva.org> 0.14-1mdv2011.0
+ Revision: 621815
- Update to 0.14.

* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.13-2mdv2011.0
+ Revision: 590646
- rebuild for python-2.7
- drop obsolete %%py_requires macro and add BR python-devel
- disable checks for now as they fail (the numpy ones)

* Wed Aug 25 2010 Lev Givon <lev@mandriva.org> 0.13-1mdv2011.0
+ Revision: 573270
- Update to 0.13.

* Tue Feb 02 2010 Lev Givon <lev@mandriva.org> 0.12.1-1mdv2010.1
+ Revision: 499585
- Update to 0.12.1.

* Mon Nov 23 2009 Lev Givon <lev@mandriva.org> 0.12-1mdv2010.1
+ Revision: 469387
- Update to 0.12.

* Sun Sep 27 2009 Lev Givon <lev@mandriva.org> 0.11.3-1mdv2010.0
+ Revision: 449880
- Update to 0.11.3.

* Wed May 20 2009 Lev Givon <lev@mandriva.org> 0.11.2-1mdv2010.0
+ Revision: 378065
- Update to 0.11.2.

* Sun May 03 2009 Lev Givon <lev@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 371101
- Update to 0.11.1.

* Sun Mar 15 2009 Lev Givon <lev@mandriva.org> 0.11-1mdv2009.1
+ Revision: 355431
- Update to 0.11.

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.10.3-2mdv2009.1
+ Revision: 320161
- rebuild for new python

* Wed Dec 17 2008 Lev Givon <lev@mandriva.org> 0.10.3-1mdv2009.1
+ Revision: 315162
- Update to 0.10.3.

* Wed Nov 26 2008 Lev Givon <lev@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 307043
- Update to 0.10.2.

* Sun Nov 09 2008 Lev Givon <lev@mandriva.org> 0.10-1mdv2009.1
+ Revision: 301257
- Update to 0.10.

* Tue Sep 23 2008 Lev Givon <lev@mandriva.org> 0.9.8.1.1-2mdv2009.0
+ Revision: 287546
- Correct license.

* Wed Aug 20 2008 Lev Givon <lev@mandriva.org> 0.9.8.1.1-1mdv2009.0
+ Revision: 274335
- Update to 0.9.8.1.1.

* Tue Aug 19 2008 Lev Givon <lev@mandriva.org> 0.9.8.1-1mdv2009.0
+ Revision: 273536
- Update to 0.9.8.1.

* Sun Aug 03 2008 Lev Givon <lev@mandriva.org> 0.9.8-2mdv2009.0
+ Revision: 262540
- Install emacs mode.

* Fri Jun 13 2008 Lev Givon <lev@mandriva.org> 0.9.8-1mdv2009.0
+ Revision: 218786
- Update to 0.9.8.

* Wed May 21 2008 Lev Givon <lev@mandriva.org> 0.9.6.14-2mdv2009.0
+ Revision: 209885
- Make package noarch.

* Fri May 02 2008 Lev Givon <lev@mandriva.org> 0.9.6.14-1mdv2009.0
+ Revision: 200101
- Update to 0.9.6.14.

* Sun Apr 13 2008 Lev Givon <lev@mandriva.org> 0.9.6.13.1-1mdv2009.0
+ Revision: 192662
- Update to 0.9.6.13.1.

* Fri Mar 07 2008 Lev Givon <lev@mandriva.org> 0.9.6.12-1mdv2008.1
+ Revision: 181397
- import python-cython


* Wed Feb 13 2008 Lev Givon <lev@mandriva.org> 0.9.6.12-1mdv2008.0
- Update to 0.9.6.12.

* Mon Jan 07 2008 Lev Givon <lev@mandriva.org> 0.9.6.10b-1mdv2008.0
- Package for Mandriva.
